
byte led8 = 8;
byte led9 = 9;
byte led10 = 10;
byte led11 = 11;

byte crvena = 5;
byte plava = 6;
byte zelena = 7;

volatile byte D8 = 0;
volatile byte D9 = 0;
volatile byte D10 = 0;
volatile byte D11 = 0;

void setup() {
  DDRD = B11100000;
  DDRB = B00001111;
  PORTB = B00001111;
  noInterrupts(); //zaustavi prekide
  TIMSK2 |= (1 << TOIE2); // omogući overflow prekid
  interrupts(); //omogući prekide
}

void loop() {
  D8 = random(0,999);
  D9 = random(0,999);
  D10 = random(0,999);
  D11 = random(0,999);
  delay(100);
}

ISR(TIMER2_OVF_vect){
  if (!digitalRead(led8)){
    digitalWrite(led8, HIGH);
    digitalWrite(crvena, bitRead(D9, 0));
    digitalWrite(zelena, bitRead(D9, 1));
    digitalWrite(plava, bitRead(D9, 2));
    digitalWrite(led9, LOW);
  } else if  (!digitalRead(led9)){
    digitalWrite(led9, HIGH);
    digitalWrite(crvena, bitRead(D10, 0));
    digitalWrite(zelena, bitRead(D10, 1));
    digitalWrite(plava, bitRead(D10, 2));
    digitalWrite(led10, LOW);    
  } else if  (!digitalRead(led10)){
    digitalWrite(led10, HIGH);
    digitalWrite(crvena, bitRead(D11, 0));
    digitalWrite(zelena, bitRead(D11, 1));
    digitalWrite(plava, bitRead(D11, 2));
    digitalWrite(led11, LOW);    
  } else {
    digitalWrite(led11, HIGH);
    digitalWrite(crvena, bitRead(D8, 0));
    digitalWrite(zelena, bitRead(D8, 1));
    digitalWrite(plava, bitRead(D8, 2));
    digitalWrite(led8, LOW);    
  }
}
