$regfile = "m328pdef.dat"
$crystal = 16000000
$hwstack = 64
$swstack = 32
$framesize = 64

Dim D8 As Byte , D9 As Byte , D10 As Byte , D11 As Byte

Config Clockdiv = 1

Config Portb = &B00001111
Config Portd = &B11100000

Config Timer2 = Timer , Prescale = 64
On Timer2 D8_d11
Enable Timer2
Enable Interrupts

Led8 Alias Portb.0
Led9 Alias Portb.1
Led10 Alias Portb.2
Led11 Alias Portb.3

Crvena Alias Portd.5
Plava Alias Portd.6
Zelena Alias Portd.7

Do
  D8 = Rnd(999)
  D9 = Rnd(999)
  D10 = Rnd(999)
  D11 = Rnd(999)
  Waitms 100
Loop

D8_d11:
  If Led8 = 0 Then
    Led8 = 1
    Crvena = D9.0
    Zelena = D9.1
    Plava = D9.2
    Led9 = 0
  Elseif Led9 = 0 Then
    Led9 = 1
    Crvena = D10.0
    Zelena = D10.1
    Plava = D10.2
    Led10 = 0
  Elseif Led10 = 0 Then
    Led10 = 1
    Crvena = D11.0
    Zelena = D11.1
    Plava = D11.2
    Led11 = 0
  Else
    Led11 = 1
    Crvena = D8.0
    Zelena = D8.1
    Plava = D8.2
    Led8 = 0
  End If
Return